GNU bug report logs - #20992
25.0.50; `virtual-dired': (1) doc typo, (2) unclear

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 2 Dec 2021 16:46:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 11:46:02 2021
Received: from localhost ([127.0.0.1]:49094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mspDe-0006HY-AT
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:46:02 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mspDa-00068o-49
 for 20992 <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:46:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Aii/kiSO6iX7AfXcnBc6f/lP4tn0x/ox48UxkvYnRKY=; b=F+G17WEn0dAiobyuqWxBVQdHDc
 KafabZto7cmYFmRSz07n77svP6OZxbd6uYLNoHI5RL8P18nj1JScE9L7G+v89+c6ewdR8YlXBylRv
 1pFX6mqw1vKqqr556mUNt3li2W1cTOWNRjGCn2DENJJA06vO5ojXBWmdSKLsT8xt6JdU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mspDQ-0002my-5e; Thu, 02 Dec 2021 17:45:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> <875zel2q17.fsf@HIDDEN>
 <8735nb72y4.fsf@HIDDEN> <87lf13rr1r.fsf@HIDDEN>
 <87r1av10am.fsf@HIDDEN> <871r2vrn1r.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEVSPUJoISVOTk4r
 HSGlopvIx8fAv8HDvLtvYl78/Pzf3tuIhXv///+B4oBWAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+UM
 AhAsIYza3ZsAAAGASURBVDjLxZQ7T8JQFMdviiYkTn6D5lDNNS5AB1dDDuFKV0oTdzs7FCpOpNzh
 JHdxkEg7OWh4jMjQhC9neRjbBgYMif/lPn4553+fh7Hz3WLANMYKZl4VBobddl3XTuQ4/lpd2/Yf
 Gb8Id+l9P4DDwenxwHE8pjkwrm/aWc7jY64b9WkYzXLmYxlAlfA57zHs9KugkYp7aRCFIeKXCVBV
 VjOKflO16q/XS6GXtYGBmN6ggIAWSBSQxEY6lUc1JdGzUKpshCfoJMZOSxIiZQAFRUs2HPWk4ps0
 sGo6cMKOQD64SntMqATAFYqlTndpMJwDMM5VjAWtl071JlihrPFYIfBpBsh5yTR5bIizRQZEQpBZ
 Lgp5yxeZq408DACkWOjUzN45okUGWrWqyoEw+vQbnmUm5772GDG43M7bDlr9ZB5/wDZi5jR8DxHv
 N8PRHx71of/j5WdV/wO03WCyL2Kybx/JWRm+a7uratK2k7a76rrth0cGOltVm75ZLqVrUOUbhZ8l
 9Q1+RkAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTItMDJUMTY6NDQ6MzMrMDA6MDC2eOrLAAAA
 JXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEyLTAyVDE2OjQ0OjMzKzAwOjAwxyVSdwAAAABJRU5ErkJg
 gg==
X-Now-Playing: Xiu Xiu's _Unclouded Sky_: "Blood Of The Lamb"
Date: Thu, 02 Dec 2021 17:45:47 +0100
In-Reply-To: <871r2vrn1r.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 02
 Dec 2021 17:25:52 +0100")
Message-ID: <87y253ymys.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >
 I...[loses
 courage] ok, but note this is not something I know, it is > something I did
 (and it seemed to work). Are we sure that it doesn't > only work by accident
 most of the time? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> I...[loses courage] ok, but note this is not something I know, it is
> something I did (and it seemed to work).  Are we sure that it doesn't
> only work by accident most of the time?

No, not really.  =F0=9F=98=80  It seems like a fun hack, but I'd guess it w=
ill
break in a lot of cases.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 2 Dec 2021 16:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 11:26:10 2021
Received: from localhost ([127.0.0.1]:49066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msouP-0004po-7K
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:26:10 -0500
Received: from mout.web.de ([217.72.192.78]:58785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1msouJ-0004pF-7L
 for 20992 <at> debbugs.gnu.org; Thu, 02 Dec 2021 11:26:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1638462353;
 bh=97d5jr/OEdy1uHxpasVtwfMi94Ralzs+Ugqox5HNDqM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=JPqXV5y9/p7jMS62yvk6/DKdlNdy3JirJe5O1yAApQuqLoa8qi8M87G0BorMz89rR
 0Rv07T1hK6duAz8PpUqyAHzrAWPcHr2kSBSm53f78x4sRyJaBSMcDFwV/kH1NSoq+J
 15mlmMp5Zk3aOEbkAjUgXYUepd5DZHMiKYQ45qTM=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.225.87]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MbTGt-1mHZDE1aX3-00bOqS; Thu, 02
 Dec 2021 17:25:53 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> <875zel2q17.fsf@HIDDEN>
 <8735nb72y4.fsf@HIDDEN> <87lf13rr1r.fsf@HIDDEN>
 <87r1av10am.fsf@HIDDEN>
Date: Thu, 02 Dec 2021 17:25:52 +0100
In-Reply-To: <87r1av10am.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 02 Dec 2021 16:41:53 +0100")
Message-ID: <871r2vrn1r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ceVd3oM6XoPSLy9bHNG0q0LF/5WHOF8oieFx7W7l6n5rwIhVTBo
 89F4NJIZq70BH1NcdS6vU/258xkX59qZVpZHricj0OZM3LJQP/dpDa56E6rGqmwK7YnMdD+
 qMQzgPF/1QvtyqEKx80bGq1USoyraLOYTvfSmpBeOSqWFv8ovY9U2JOfn6QRMqu1ka2I8sH
 /2wzqlsXN8S0wY0M5Pq3A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:mpuhG6qa6Q8=:uFCIZXnMI5cdlAvsSLcM8Y
 qDokjpy6XO4wCP/X/KwUVJ8wMZZYfCs0K2VYm89tgEmftLKYWbVF2SBz0cbLNk/pHhJnH9KHS
 aTFZwANs/kdrCEx4zty12oA9UMb4VM8spQWQYcFcmQhUAACqA9vwpifXRY85dG3TDt2JoVZfV
 YrphmtV5bw1mSvyri/ci5mm/e6sJkgSABMWdJmmCmN0+RgWoqPIshD3OZfaJ/BcYlxZQ+x/Xv
 7o0n5ReaZZ4/JVQkAD0JvfPRaajiO+/2c5L8lBAk7VTxJDu4RjdhAIc8M/iyTcWNx4TY9TeBZ
 5vQs2dz0OHtkNPK4XSFZZ2zldXtjr4Y1dK519PMP4g2SGF7VmDA5PKmJCz1PtKUp409W/Znsd
 4lAC/u/8iFHmpb/aKkeidicvu+DGbR0lGN4tQqz9x97YRj561KXyfGhP0qv4mN6dihZnDS0a8
 91/kPnC6UgRcMj/3T1NkDy4ENa3GZwJjtOzBVRLWNC/tVnBd/1lITZluRYVROXdb6jcDCRL35
 8Rn5adkudzv63hfrZboieeGcnwu2sr3hx7wzMd6MsmRfFIdgxjdYHS/XcVrBm54+GdtUlANnI
 YFNDZkiMGDZ6Yta5kLaOjrwbkOPv9dxh/AP5vKuNDl4mO2tKGMYMAaMJQ0dzR2K9Yzi+gtOVP
 4e6GDwLobyEKdP8W3oHJO4CvX61fNDxiYWe4XoP5UgqNRbOapaLNx9gnkYxcH5UL1w15Pc3Cc
 5JEsOxKWajuS7wppfEYs9NCOs+g8nWnhFBhHFABs1eDis30Qr4G0e/USdNJEaaORWXWWG65eF
 OxNazbtfsh/px/6jK2e0n+uhTAfVI+7bxJipTjuF5Hu+cDaQXl0zMjQaTbivXXu+ST55Wx/9u
 Fyf6cOtsgYpWoWYJJyiLch3TcInHou84tHt5JLIZDoyZdUUr5bm0WLW4VMVoYWy23N3eIR49K
 A3EInc7JQ531FTpyKjxD0bw8egFCm0el/kDwXuHBwAGgrTwihZLZe6ph8ij6UxIRqCAJDKG9u
 YCISCRflfQNGCWRDioCczSH0jpRIRD+P3bBC1wPdoeCdljEouuWP8hgmTP7R9AlmROGhItk5c
 6IJNIjQGVOY0rk=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> It wasn't obvious to me, so please do go ahead and add that to the doc
> string.  =F0=9F=98=84

I...[loses courage] ok, but note this is not something I know, it is
something I did (and it seemed to work).  Are we sure that it doesn't
only work by accident most of the time?  For me this is just the, more
or less, only use case for virtual dired buffers: I can remember marks
by just saving a dired buffer and reopen it later with virtual-dired to
continue working with the files in it.

AFAIR this didn't ever work so super sexy - Emacs didn't recognize the
contents as (virtual) dired, I have to M-x virtual-dired explicitly, and
this command modifies the buffer (though it didn't touch the text), so I
have to save it again... I guess there is at least room for improvement
before we advertise this method in the docstring.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 2 Dec 2021 15:42:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 10:42:14 2021
Received: from localhost ([127.0.0.1]:48960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msoDn-0001Oh-UM
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 10:42:14 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1msoDj-0001O9-Fj
 for 20992 <at> debbugs.gnu.org; Thu, 02 Dec 2021 10:42:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=paRothIktR4/rsxW+0Xg1voSVDzDwLbOZ35/r+6+wHQ=; b=GDbhGff2i+jw49GXHe6kdQmX1+
 jAafxQvKNSnFBdV2SPxMNcLayqVRBwlXZIKyidWVDs4LUzBSYheHuGwptwKs4Kq+3a3XON5Hdu+F2
 5X21KxdxaJQU0Li6Y8LEQ4qrf8SvItgrrCmadp+pCuloKbxgVaHdXSb6azY47Wzr+fvg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1msoDZ-0002Jl-HS; Thu, 02 Dec 2021 16:41:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> <875zel2q17.fsf@HIDDEN>
 <8735nb72y4.fsf@HIDDEN> <87lf13rr1r.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXQ8Pykzr/7/PPt
 8s/f5a59k3P////3cTrHAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UMAg8QGy5fmZsAAAGZSURBVDjL
 nZPBboMwDIbbSrvjEe6t091LnN0b2b0vGn7/V5mTEqBbpUm1EEL5+H87drLb/RP7breDDvb7vwQa
 /z+wvGATTYWIBI/RNeDjL7IoJD1VeCmxAZc78LGC5EzmwNnnDEhkyCzwTcmZzsC1AjOqv8L34QxV
 O4MonDyoug4x1XU+NnDLo/byXgATUWhABgWFaIpiZeS45FCdPvovxJElGrg0IKrgJ7MaqVg1ULxy
 4lCAZwp+Bni2jkzi+qooKYTvIHphjc4ZiJ5WKzwByQCu7IPsCeRngDRacqD3A45jb6ApED+tXFc2
 GG8Tepw3aCDlIfXcH/CkqkJ6bWDIWTkA4t6ADrqM9pTdFMgZKNMYZFGgkAS0HJ/WrOg4LYeBooGA
 +JbBEaVVURoZerOyAUdxS7lWp7WbEc/3CT4C5lJFORXTxsoax1cDanPWKa8Kiny30ly2sgIfE0l1
 lFvSjcKWyIVag1gXNla20nlvp8Sn2yZ5TcIB65yELw9AYsA5jpvk9qPDJyAgUf8MPMar4OWwO7ze
 /VfiB8wrhoIKJgx3AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEyLTAyVDE1OjE2OjI3KzAwOjAw
 RvXe9wAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMi0wMlQxNToxNjoyNyswMDowMDeoZksAAAAA
 SUVORK5CYII=
X-Now-Playing: Steve Hackett's _Voyage of the Acolyte_: "Star of Sirius"
Date: Thu, 02 Dec 2021 16:41:53 +0100
In-Reply-To: <87lf13rr1r.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 02
 Dec 2021 15:59:28 +0100")
Message-ID: <87r1av10am.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Thanks,
    Lars. Should we add that virtual dired buffers can be used to > remember/save
    marks in dired, or is that too obvious? It wasn't obvious to me, so please
    do go ahead and add that to the doc string. 😄 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Thanks, Lars.  Should we add that virtual dired buffers can be used to
> remember/save marks in dired, or is that too obvious?

It wasn't obvious to me, so please do go ahead and add that to the doc
string.  =F0=9F=98=84

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 2 Dec 2021 14:59:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 09:59:52 2021
Received: from localhost ([127.0.0.1]:48942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msnYu-0000Jt-4g
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 09:59:52 -0500
Received: from mout.web.de ([212.227.15.4]:49925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1msnYp-0000Jd-Mx
 for 20992 <at> debbugs.gnu.org; Thu, 02 Dec 2021 09:59:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1638457169;
 bh=L0qEekPyTyqYBdDIr6A69zw8l14e+ROECXV4pccRm3U=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=rrV9aZ65udiSL93uh/ccwNEvgL3lcoUB3jl67xHsIlDzJ3gKP+oAGx254u0+7JdX1
 qX0OvMxvOkmSIVpPM3jVPq0m96I6A0w7Zd/8+3iF8GE2s2YdvMzUyzqneKPW37wa2d
 KzrKXsz+1mJ7ljH8q/btzH047Xjq/1MQ9yN9sFvU=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.225.87]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MoNVE-1mCsAb2HQu-00obVu; Thu, 02
 Dec 2021 15:59:29 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> <875zel2q17.fsf@HIDDEN>
 <8735nb72y4.fsf@HIDDEN>
Date: Thu, 02 Dec 2021 15:59:28 +0100
In-Reply-To: <8735nb72y4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 02 Dec 2021 10:48:03 +0100")
Message-ID: <87lf13rr1r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:iV+FIT0LTdMSox2NWfWa9n/y/biRXckU9bXvK8CyxYCY3OdU8Bv
 gnAjQC8ZoRpvE1Bv7oOC4IA8ZNNM37JZKG5QlT1rRRE+cWa3BYe6kj/aQAEYlU8OFgltZUI
 GvZC3nxe//Wk0HkwToELufwXUS5TCMG0n6g3aOT1d9ZCFta7gVKq8ESnDIjts0kTxkoj6oU
 tMF+SCSHfbnqL7c1dMLBg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:i2zSMxCR4H4=:Nm7Kfy8ZclgUSTDkU+Jmzw
 4vLZFMp/pxiQ+f8Oy5Q8pbd5dvWcZiWg4ClELvePxxGTBdg1KFtLOOCyWdl56RjwlLG/I2pef
 WcdwzeT37+W2MLwqhua9QzQzfGX3jTQFRad7bi9Gao4bhbwIHwGPQgkJqNPHF0C64Db1KbfdC
 kQ3jgoltn/w7gKVb+7wINiZJYvSgi2/PaNdYL3MhLsR06Oew7ekmf44vzXRfn3nF25dblE5KX
 PW/N3937mqcNAfWJgMAgkUDB1L56h9PxUvI85OBE1xKI8GXSsn+fB02t3zUkxPU4S1iTfRYeJ
 9ruQxduX5Oc9Sb4t0l8/ivwno0SsCz/sI3SET3G6qoReBluGv0Tbrh2VK+7skn3TkxqFH70S+
 +i3YhBcWMQBq5fzpPnQGWb1BdNMQ/z0B9JFlRjVTDJA3OmB0gqy2LhSdqlUBTEjt1omqbZ2Po
 08QAtZD61/yI8zP49WuG/tR43czMEbvUSIOLImrS2L+QLywP4LCH/ouEjs+gNVD681+HZTSf6
 /074xm3pBae2wS3RMdE6j/NQ7lKBjmk3QAijn6PUgP1y1EapoydH7FdGxtXhk5QhnbLcxWZ0X
 FBhSx1erPJTz3MFvBTsjkS6sKs2HOaVX00uZt9FXx/4pE3s621OxmKIxX3ppyhUXnzGxEtXMT
 tAV5FpcGN7tT+QXO5gZeOH36SnkMiT7eCOunqM0/QeIb229ycy6rsaU6lwogvnZQjcIKo0Q7v
 iFpWj021ZNNmyYRv9mwIW28nSbJmXvt2GLjTnp5o/EyrSNxljYYqYzhqJcSUyHCNu0HXc6qnd
 Up/XTU7nC6DzyfJLHSQQd9/RkfvrJJw2ZX2knkpF5zYA/zplA6zmiyc8tlthkXNr+gOFjG0id
 wLsrTDA3nVU9jfG7ElqGZgaHUqwnwcJSlvUf7NUEM+BPGuSpAS7wYCgV737QymrlwLoF95ejp
 mFgTiQibUKrUIfah01F91nxfv8zhwC9ebRYtziH2fDxeyq09sTjlNhRHqAcJLalcMbT+h77SR
 3jokARkJQ3Ef0H5mWKxQI+1xNCHlEabbI8SgMrYtk3BdqrpgWYvFo0a3TzeIHKV+Wc/pkxnw3
 yMm9Ilemfp/040=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now altered the doc string in Emacs 29 to note that 1) the
> command is rarely useful for anything, and 2) try to describe what it
> does.

Thanks, Lars.  Should we add that virtual dired buffers can be used to
remember/save marks in dired, or is that too obvious?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 20992 <at> debbugs.gnu.org and Drew Adams <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 2 Dec 2021 09:48:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 04:48:16 2021
Received: from localhost ([127.0.0.1]:46635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msihM-0005u0-7U
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:48:16 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1msihK-0005tj-22
 for 20992 <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:48:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fHomvIPSNkiEDhX5O6abn1eHI1yQP0W79s4LuGXQcdQ=; b=uYYTmfGPcif/AVbnYiaZWh6DbY
 nO7ksluw9z8Qh4kb4WCJ7HMmb3OkJLb40mg7QV9E0OdmnnE/v/dNlmcUaq+UobWggga9od2baW0dr
 WysEzUFwoxgcoUEH/gmiK3x9lP2oXn+jvOYBNynPiIBUaSmksI/JC6qG1TurjdMVg+NI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1msihA-0007zg-7S; Thu, 02 Dec 2021 10:48:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> <875zel2q17.fsf@HIDDEN>
X-Now-Playing: Mystery Plane's _Cold Waves of Color Volume 6_: "Burning Desire"
Date: Thu, 02 Dec 2021 10:48:03 +0100
In-Reply-To: <875zel2q17.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 31
 Mar 2020 04:53:40 +0200")
Message-ID: <8735nb72y4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: >> The
 difference, I think, is how the listing is generated. >> Instead of passing
 a list of file/dir names (possibly >> absolute) and `ls' switches to `dired', 
 for virtual-dired >> you pass a "render [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

>> The difference, I think, is how the listing is generated.
>> Instead of passing a list of file/dir names (possibly
>> absolute) and `ls' switches to `dired', for virtual-dired
>> you pass a "rendered" listing (I guess).
>
> Yes, that might be the truth.

I've now altered the doc string in Emacs 29 to note that 1) the command
is rarely useful for anything, and 2) try to describe what it does.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 31 Mar 2020 02:53:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 22:53:53 2020
Received: from localhost ([127.0.0.1]:35345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ72H-0006zc-07
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 22:53:53 -0400
Received: from mout.web.de ([212.227.15.4]:55199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1jJ72F-0006zJ-Cd
 for 20992 <at> debbugs.gnu.org; Mon, 30 Mar 2020 22:53:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1585623220;
 bh=MRyyGftGTz5bkB1pwa/rlISSuNIuk8IFjR0OxszkfQ4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=f7A4ICxaohAz+UoGszM4y6mwAWQ6DCexX0vttglUVuXJ6FOI4tL2KtuCOezQ2GgKk
 VRqKgyVj4Poq+O00b77/M7qjrJve21K+ClQbU43NoC0pwpxQ54tVE7K2ZZqqpfwiZj
 o5zV8vgeet0BsGi8CUgn806wUWX0GpNMxv2TvD+U=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.99.7]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Mbhiv-1jcA1B0KGL-00J2me; Tue, 31
 Mar 2020 04:53:40 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
 <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default>
Date: Tue, 31 Mar 2020 04:53:40 +0200
In-Reply-To: <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default> (Drew Adams's
 message of "Mon, 30 Mar 2020 18:23:12 -0700 (PDT)")
Message-ID: <875zel2q17.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:5fC85LYnTGexwuJ8n08I3hOKiPoyhUKQE/+smEjYdDC91PCl1ew
 fNrfrsyZDdA28llZiz2K2hct5zgjwCjcZUMHtGXWXXphsq9l02XVEXtaFbw5FzQ/6920BKW
 tmncpP117pOSG9vGbqZy2ni4ejW2t3TO3vlgrhNjA+N686aysOqwENCp9HFv4X7cwkJx0WE
 nnm/wPtAD6D3r7uNb1HFw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yO675aZWl2k=:BRwzN9ES0HGCNfhZZa3k1r
 EaVaMrksqDf19FqjXHCarrHyyoypmuUxpq4EUqGdRikRjuMQ2CDJq6ZIv3RNUqAvNOUhrw3IV
 gNTS1MNzB1j/anqiR98d8jc/gXpSiIHoExUXRthUMuh54GYWSHlmq2o1RKaAbSN7GhDFgichD
 ZReGxn0ijP57aeCsD4LgTpS+kPv33uq6zT0HYZ9Lhn1JmjIwFdenR8kI9aFounWsTWqvgB3o8
 Xxcw0gS0qRhKdileNrtQE5pyqAT0Hos7oM85A6ocODJ2t4RFGx9q0aMH/8ushqHg260tsUTgI
 SRWKkTqnQcXwO+r1iHSbXmllIhGUozqrnY6WcXAvpXTsoAQWFhhFepCfsOvAoiiiqkIIwjkth
 1vwZUZ6Hw1/wPwSFKfkwnOeA+6SBeJiDSSZQJsVd3Ry033HaFmWx2TL6+GnONCBF179EyKP81
 O6eEnug8wgCb4y5gPJif5S7QQg7LeeW6n06EGbm0idnudihmRHI22Set/iZK/xN8yX8WpETRO
 lbTwk8SWAK0xyJHak5ukC9zhnfh/KDXX4G4gvbEtQZEJwPcjNxFjjpMkrBoaNO3jDJkFqA9K9
 QhUzEJ+7JXDaK76MhPNem3pFIsJsx+a+CJ5HONbO5uRYuyoole0u70QCjjcJxrfZ0O6Ctc/lI
 eolcU7H1xfHoXeOwzogh74cUdwP1axTSP6pxZvqC9PiKU8DSDHgzJgSfhhv0+cwnOzjP8ol+D
 asr8lTnQoQXGo3Zl/v+orCg795N62FWanVo5pXGQmLoUEmj4ZBKHwUoJNyyQDJHDlCx0mjsy/
 e3qEIUUEbENI4AzPyS+uuKsKS/FMKzrcE2E/FCKO5oDuFvj77YMdYnZ7d/z1S2Z+WwCPCtkC1
 pZOsccHxJCmCPRd5P3uyv+Bm1+NDOCVyfGiq8q6aGuepb7erVTQY5smZeuggRkdPHmZtMMkV2
 g7qHrcjLcehxfadCH+A8WPTcZXodIg7bavWELudJnjlkTS+cOiniO9gIdmPIK+BUT94AjLAAw
 or0sLYE3E9492xm0h3VHL9a1bGHKDugaaTeE20JG2dvijENPjVlei3tBbiQqLsWm4LkIYR+sg
 bngeSHz2M61MQOvL0nGMKNSgMifEpXJecD+lEW9OFbx5gUuSlMyGGA1yMPkiKAZOq88rl25Yu
 tYO8vBmnyw7i7ntcUfpySEUspzbzsTjFJB9j4wx3iVadybOTshMmU0W3XbgPxvEnbras28qho
 OcXp48J2ZxT0UZ7i5
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> The difference, I think, is how the listing is generated.
> Instead of passing a list of file/dir names (possibly
> absolute) and `ls' switches to `dired', for virtual-dired
> you pass a "rendered" listing (I guess).

Yes, that might be the truth.

> I don't have a good idea either, though.  Is the listing
> essentially pre-rendered?  If so, then that term might
> be OK.

AFAIK It has to be in the buffer where you invoke that mode.  I don't
think enabling virtual-dired mode does any
formatting/re-indenting/sorting or such.

Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 31 Mar 2020 01:25:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 21:25:32 2020
Received: from localhost ([127.0.0.1]:35299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ5em-0006uB-E7
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 21:25:32 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:38724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1jJ5ek-0006ty-4f
 for 20992 <at> debbugs.gnu.org; Mon, 30 Mar 2020 21:25:30 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 02V1P8qS141471;
 Tue, 31 Mar 2020 01:25:22 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=BWXki3ycSwxZPz3rJEgx9jRlsfV7rj9osto8z9e+t6Q=;
 b=0d/my2dl/5xi9ka/Ei3wN4Tx0j90+aX81LfuIg8WXNTp5n2NfyeTm0Xa2GOXQdm47O0n
 6Wt4V5ta78K3Joos91WaaU2LNMeJ8vSVDt+lL657RFIyz4k/Dk5LbfIqJdg5CO6/2Tdo
 HUDtstpnQPmmpc4OnvkED8aWx8Ocd7M6HaBm9cwMhWsJoC7DCu2h2WvBvcBO1vNSp+9i
 MuVbDAaHITD58gy8isgVD2vNB6UY9UzqIG8Yl0ZUSjHCBcVKdx3YRFk2/ccwvCZ3fwLp
 eE9L3iYc/puF7ZIv4bJOef9hCJReLEgURO3JIjxm1Zaw3UjbDsiH26M+zI7vVMJcMVMD mQ== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 303aqhd9uv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 31 Mar 2020 01:25:22 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 02V1MAGE107302;
 Tue, 31 Mar 2020 01:23:21 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3030.oracle.com with ESMTP id 302g4qn8v3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 31 Mar 2020 01:23:21 +0000
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 02V1NDxX030062;
 Tue, 31 Mar 2020 01:23:19 GMT
MIME-Version: 1.0
Message-ID: <ef345725-fe86-45e0-ba39-b4a041b9e6c1@default>
Date: Mon, 30 Mar 2020 18:23:12 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: RE: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default> <87sghpxt4z.fsf@HIDDEN>
In-Reply-To: <87sghpxt4z.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4966.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9576
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 bulkscore=0 suspectscore=0
 mlxscore=0 spamscore=0 malwarescore=0 mlxlogscore=999 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2003310009
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9576
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 phishscore=0 clxscore=1011
 malwarescore=0 impostorscore=0 mlxlogscore=999 spamscore=0 mlxscore=0
 priorityscore=1501 lowpriorityscore=0 adultscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2003310009
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > 4. It's not clear from the doc just how `virtual-dired' changes
> > Dired mode.  It doesn't seem particularly "virtual", but it's not
> > clear what is meant by that word here.
> >
> > Seems that this is in fact just Dired mode, and that it is the
> > opposite of a virtual Dired mode: it puts an ordinary `ls'
> > listing into Dired mode, no?
>=20
> More or less yes, I guess.  My impression after reading the available
> docs, and when trying to use it, is that the purpose is to get a dired
> like listing from somewhere else, e.g. an external source, or from a
> saved file (e.g. a dired buffer from a later Emacs session saved to a
> file) into a dired-like mode to have access to some of its commands.

That's what I understood too.

> It is virtual in the sense that the contents do not necessarily need to
> reflect the contents of an existing directory.  This is only checked if
> you switch to the real dired mode.

Dired contents do not, anyway, need to reflect the
contents of an existing directory.  A Dired buffer
can show an arbitrary list of files and directories.

E.g., this opens a Dired buffer named `foobar', with 3
entries: files bookmark+.el and dired+.el, and directory
THROW.  (Well, any of those 3 could be a directory or a
file name.)

(dired '("foobar"
         "~/somedir/THROW"
         "~/somedir/bookmark+.el"
         "~/somedir/dired+.el")
       nil)

The difference, I think, is how the listing is generated.
Instead of passing a list of file/dir names (possibly
absolute) and `ls' switches to `dired', for virtual-dired
you pass a "rendered" listing (I guess).

> A better wording might have been
> "offline" dired mode or so.

That's not a great word for this, IMO.

I don't have a good idea either, though.  Is the listing
essentially pre-rendered?  If so, then that term might
be OK.  I really don't know.

(I have nothing to say about the rest of your message.
I know nothing about that.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 31 Mar 2020 00:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 20:31:07 2020
Received: from localhost ([127.0.0.1]:35283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJ4o6-0005Ty-Np
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 20:31:07 -0400
Received: from mout.web.de ([212.227.17.12]:57943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1jJ4o5-0005TO-5d
 for 20992 <at> debbugs.gnu.org; Mon, 30 Mar 2020 20:31:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1585614652;
 bh=bp9AcOCOAjNUG4mLMkKK8Ger0Na5UBr1I8MCYvqJ5Vw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=l2hwj2DpwqHVpVKS5pK2/Fiq9maOxpfqMvahZTNFxzYk8SgHdnNPaKlFTJZmWUc2N
 bBgWSJcYzelPZYN9b/HfQD9Nq0AGoZR/F/fCY/XOitPx2nAVp1oEjXnli3ykaU4H+m
 vN25oKY6nVPHO2Ybxnxx7SIzfnI/TODnvVPyU+Uk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.99.7]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MLxwG-1jQmQq2DnQ-007ilP; Tue, 31
 Mar 2020 02:30:52 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
 <3d083fa4-c6fb-4890-944f-19a206b4c035@default>
Date: Tue, 31 Mar 2020 02:30:52 +0200
In-Reply-To: <3d083fa4-c6fb-4890-944f-19a206b4c035@default> (Drew Adams's
 message of "Mon, 6 Jul 2015 10:49:38 -0700 (PDT)")
Message-ID: <87sghpxt4z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:2VYPsP9k+M+KGZIR2fS9vMINalyi7aLr21RvNcEASVfz+kexVv8
 VlHV3hGKKuwHdW2t1ulDAfbALzqVgA1+KXA6zuXqfHblcG0yPlVWUwhMGX/ZhtqMqUHXcoC
 W5mm5qVgTEarre7YDrJK8TUkysNefg30+35jyMqkEtvyt6HgOUOeCwapwVv4PBis2yc85ee
 oqnW4eYmVTY81Zcn1sc4Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4OUXnBPWfUY=:Jc1dk5mK6ppxD5bHkCh0MA
 Y4/e8lp/K0Lz2RBhOC5k6zZhZA9p41nwD13piXKnxnSX3Jgk6hQTmUnb0lser92g31f0NZvUw
 P1bSZKwCWq38s6pPvzsUvShbUUXLbT0BhSazuiy+rhJMtxsk9r2cMA07FWrFzXcqnxLHBOLE+
 PSYBawHk+PHpARDoSo/5fJ8pEhVR6Oc4lslMlzfJ2LWiGPmPHe1XK2eKJlk34NNm0qDBaMSZ1
 pauxQF2ebD/4LRNWhLDDzC8MwXG3wRmHQjAkequ3c34CJRyW4cH6eyuHj4zkEGMA9K7lfRtPQ
 SeAPttM7BXtISjVSzmMBT73tijar0mxHk+jxUSNmln/qBIwQIyLq/SQQgcHxrJYOLVwpNrUsF
 QsTD3Nh+nuavZMiJsjELLuG1nYfWK8UszNIhOL6VipMHl62dYA31GSDlQj6s1C+gT11JgfGgP
 c8fYNfExpLsPS6IIDJ1KHshAxibW2DGS2YhgIyDQ0LvNGjk/4dB+/h9fR764i2D0brlNggBsE
 IzSHRw3UPm/gMQY3XeWbnnEoQWKylyjsf1r+WGTXj7j4FYthMcRj9XExR6F4uCBgCBzSF5ZBX
 soDqyhzyQSjg3pvVrND3qMAMjw6UoJeSfUOi2trNgtYS82MmifEmmQCAASSm9kGfxItJjzXbo
 Sd+aEoqoCBl4+AmZjq05kWStcOPllgqUaAmFZNSHoosH8BE8DCkAkvAPd+yFxI7pDCSWw4qD2
 UTiblBMtrHzZDSO3DsvgONzfZiMIHuKTd0Ea34P7rPv6pIFUC4whthrygBblvfs4RQrEposOW
 up+dYwi1jSnLktvyZDjlKsi6V/UTbyQyE9uc5BeGaqeLIFURIbibfh5/ZkHR/YFyEd2i483So
 /SsVqnOG0ESA/oE++2EBbRjcDDlnO7IwHVLpBEh6JFrQboMP79g7P33tjyvtQ+wXexpuLI6ne
 KRjw+fWC6aAXS7avnd45Q9Fc5by+weFKF2Yk+eSMOigjCC3B1tgkPSCN5t9S381zilWZsje3A
 H+cgFEWkmjRIq7N28QMwi/s5w96FowmhO0r2kEfmIei20rt1A/rCB0WlqHszFHFrpAaPijDmC
 eMmQn4JmG1bGEBW6XA87Lu2I2+AydUSfj1FRq8+Lh4Pjl85ExY/ym2DwwY2SllZ9eFI9C+JD9
 PwgM14o+0tOEj29Rrj547eRj2nS6cNxLjskVS3Y20oKVHSCIgKNZQk97FaThZKW//mBdJB1rI
 nEol9NIjRHJoUZg9w
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> 4. It's not clear from the doc just how `virtual-dired' changes
> Dired mode.  It doesn't seem particularly "virtual", but it's not
> clear what is meant by that word here.
>
> Seems that this is in fact just Dired mode, and that it is the
> opposite of a virtual Dired mode: it puts an ordinary `ls'
> listing into Dired mode, no?

More or less yes, I guess.  My impression after reading the available
docs, and when trying to use it, is that the purpose is to get a dired
like listing from somewhere else, e.g. an external source, or from a
saved file (e.g. a dired buffer from a later Emacs session saved to a
file) into a dired-like mode to have access to some of its commands.  It
is virtual in the sense that the contents do not necessarily need to
reflect the contents of an existing directory.  This is only checked if
you switch to the real dired mode.  A better wording might have been
"offline" dired mode or so.

If saving dired buffers is indeed one of the purposes, this case would
also need some fine tuning: when opening the saved file, it is currently
just in fundamental-mode.  And after switching to virtual-dired the
buffer is immediately marked as modified and you need to save or discard
changes when you want to kill the buffer although you didn't change
anything at all.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 29 Sep 2019 22:44:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 18:44:29 2019
Received: from localhost ([127.0.0.1]:56071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEhvZ-0003Kq-FM
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 18:44:29 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:41554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iEhvY-0003KY-7X
 for 20992 <at> debbugs.gnu.org; Sun, 29 Sep 2019 18:44:28 -0400
Received: by mail-pg1-f171.google.com with SMTP id s1so6254605pgv.8
 for <20992 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 15:44:28 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=EuQ5Phx6bBb4hI+GEPpBlCOGWkQzj6CoatsGdsTl9us=;
 b=OE1EDCWrrWFpxFh/zhF2o9kMkvqj35zquooE5ou12P6fVMvlWt7jlUoxtJemhuxfx/
 7X4Z18a1dCXH/Jh79FLJ7/cZDK9GJGNq/2zqbXs0K6pvR3esx4ZDnWCv8L0j4nXwu5q6
 wWf5TusZ338ioQXhnmhNf5FbDNLnptsToC3OgmRw0SH3ZWsvZlDv5XyPYdKg8r/eAk6y
 8IFpLInCRnzslUtPP28yqvczuxz3R7gTUKQww+eu5zEekkrH9ay5WzdxXWsLe2rfnSL0
 94Y2iNC44goqh8lxuYpdkTMZRawbdnROWgoyr7QI4aw0K10N5dxpEnQyDPD3CFf2oa+0
 /TcA==
X-Gm-Message-State: APjAAAWFh9TrpTdu9yHkocnGNtKR1jv0N0TeEj7IJ3Dz7w8J/RO/7w6v
 h3VY2sdkq0zL1qoPb1Wdo2Kqo6n9h+TShM6DGbM=
X-Google-Smtp-Source: APXvYqy4vkIPvkAZhPE01i5TLt13s5XAdwk+62lHKnp/YyFM4gU1KaVACg8bjQTEhJPhegUjBPnOIFP6PMJgoT+s61Y=
X-Received: by 2002:a65:5802:: with SMTP id g2mr15221914pgr.333.1569797062464; 
 Sun, 29 Sep 2019 15:44:22 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Mon, 30 Sep 2019 00:44:11 +0200
Message-ID: <CADwFkmkPjvF0N5LCkFcO3cMcPd-UqQ-EsfCq6xq-heJsSi5Dqw@HIDDEN>
Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20992
Cc: 20992 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> 1. Doc string:
>
> "...If you have save..." should be "...If you have saved..."

I fixed that on master.  I don't know enough about virtual-dired to
investigate the rest of this bug report.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at 20992 <at> debbugs.gnu.org:


Received: (at 20992) by debbugs.gnu.org; 6 Jul 2015 17:49:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 06 13:49:48 2015
Received: from localhost ([127.0.0.1]:42358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZCAWZ-0001pa-QV
	for submit <at> debbugs.gnu.org; Mon, 06 Jul 2015 13:49:48 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:34056)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1ZCAWY-0001pO-5p
 for 20992 <at> debbugs.gnu.org; Mon, 06 Jul 2015 13:49:46 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t66HneJH012282
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <20992 <at> debbugs.gnu.org>; Mon, 6 Jul 2015 17:49:40 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id t66Hnddt015690
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <20992 <at> debbugs.gnu.org>; Mon, 6 Jul 2015 17:49:39 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id t66HndvH003576
 for <20992 <at> debbugs.gnu.org>; Mon, 6 Jul 2015 17:49:39 GMT
MIME-Version: 1.0
Message-ID: <3d083fa4-c6fb-4890-944f-19a206b4c035@default>
Date: Mon, 6 Jul 2015 10:49:38 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: 20992 <at> debbugs.gnu.org
Subject: RE: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
References: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
In-Reply-To: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 20992
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

> 2. It is not very clear just what "Virtual Dired mode" is.
> Apparently it is a minor mode.

My bad about this being a minor mode.  It is apparently just
major mode Dired, with a different `mode-name' value.

The mode name should perhaps not be `Virtual Dired', but
`Dired (Virtual)'  or some such.  But see below - I don't
find anything particularly "virtual" about this.

> And the doc could be clearer wrt just what parts (e.g.
> commands) of Dired mode are available and what parts are not.
> Also, the doc says that the format is that of `ls -lR', but that
> suggests that the listing is recursive, with subdirs inserted, which
> is not necessarily the case.  And it seems that the listing switches
> are taken from the Dired buffer from which the virtual mode is derived.

That part of the bug report is still appropriate.

4. It's not clear from the doc just how `virtual-dired' changes
Dired mode.  It doesn't seem particularly "virtual", but it's not
clear what is meant by that word here.

Seems that this is in fact just Dired mode, and that it is the
opposite of a virtual Dired mode: it puts an ordinary `ls'
listing into Dired mode, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jul 2015 14:21:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 06 10:21:03 2015
Received: from localhost ([127.0.0.1]:42252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZC7GX-0003rw-Bv
	for submit <at> debbugs.gnu.org; Mon, 06 Jul 2015 10:21:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33258)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7GU-0003rU-4l
 for submit <at> debbugs.gnu.org; Mon, 06 Jul 2015 10:20:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7GK-0007z9-LJ
 for submit <at> debbugs.gnu.org; Mon, 06 Jul 2015 10:20:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37986)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7GK-0007z3-Hy
 for submit <at> debbugs.gnu.org; Mon, 06 Jul 2015 10:20:48 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46693)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7GG-0007Xy-8E
 for bug-gnu-emacs@HIDDEN; Mon, 06 Jul 2015 10:20:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7G6-0007sX-1K
 for bug-gnu-emacs@HIDDEN; Mon, 06 Jul 2015 10:20:44 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:37170)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZC7G5-0007sL-C9
 for bug-gnu-emacs@HIDDEN; Mon, 06 Jul 2015 10:20:33 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t66EKWWQ024424
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 6 Jul 2015 14:20:32 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.13.8/8.13.8) with ESMTP id t66EKVfT014677
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Mon, 6 Jul 2015 14:20:32 GMT
Received: from abhmp0007.oracle.com (abhmp0007.oracle.com [141.146.116.13])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id t66EK3Qd007720
 for <bug-gnu-emacs@HIDDEN>; Mon, 6 Jul 2015 14:20:09 GMT
MIME-Version: 1.0
Message-ID: <99643ea0-8a24-47b4-95ab-0c21da485539@default>
Date: Mon, 6 Jul 2015 07:20:05 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

1. Doc string:

"...If you have save..." should be "...If you have saved..."

2. It is not very clear just what "Virtual Dired mode" is.  Apparently
it is a minor mode.  But there is no minor-mode variable.  And the mode
command does not have `-mode' in the name, and it is not defined using
`define-minor-mode' (why)?  The major mode seems to be `dired-mode' (at
least for a virtual-dired buffer created from a Dired buffer).  But
there is no access to the major-mode lighter and its menu in the mode
line.  And the doc could be clearer wrt just what parts (e.g. commands)
of Dired mode are available and what parts are not. Also, the doc says
that the format is that of `ls -lR', but that suggests that the listing
is recursive, with subdirs inserted, which is not necessarily the case.
And it seems that the listing switches are taken from the Dired buffer
from which the virtual mode is derived.


In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 rgm@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=3Dyes,glyphs CPPFLAGS=3D-DGLYPH_DEBUG=3D1'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20992; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Dec 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.